Subject: bug#7106: Unable to customize menu-bar startup from .emacs file

From: Glenn Morris <[email-masked]>
Date: Mon, 27 Sep 2010 13:50:16 -0400

Avery Chan wrote:

> (custom-set-variables
>  '(gud-gdb-command-name "gdb --annotate=1")
>  '(large-file-warning-threshold nil)
>  '(menu-bar-mode t)
>  '(shell-dirtrack-verbose nil))
> (custom-set-faces
>  )
> (add-hook 'shell-mode-hook 'ansi-color-for-comint-mode-on)
> Note the (menu-bar-mode t). When I fire up emacs, I have to M-x menu- 
> bar-mode to get a menu bar.

Works for me in GNU/Linux with Emacs 22.1 through 23.2.
Note that the menu-bar is on by default anyway, so you should not need
to do anything in the first place.

> I am concluding, then, that the problem lies with this particular
> build.
>
> In GNU Emacs 22.1.1 (mac-apple-darwin, Carbon Version 1.6.0)
>  of 2009-11-23 on Avericity.local

I am afraid that is quite old and no longer supported. Please try the
latest, Emacs 23.2.

As a workaround, you could stick

(menu-bar-mode 1)

at the end of your .emacs.